/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
export declare class AngularServices {
    static readonly translateProvider = "$translateProvider";
    static readonly translate = "$translate";
    static readonly anchorScrollProvider = "$anchorScrollProvider";
    static readonly animateProvider = "$animateProvider";
    static readonly compileProvider = "$compileProvider";
    static readonly controllerProvider = "$controllerProvider";
    static readonly componentController = "$componentController";
    static readonly filterProvider = "$filterProvider";
    static readonly httpProvider = "$httpProvider";
    static readonly interpolateProvider = "$interpolateProvider";
    static readonly locationProvider = "$locationProvider";
    static readonly logProvider = "$logProvider";
    static readonly modelOptionsProvider = "$modelOptionsProvider";
    static readonly parseProvider = "$parseProvider";
    static readonly qProvider = "$qProvider";
    static readonly rootScopeProvider = "$rootScopeProvider";
    static readonly sceDelegateProvider = "$sceDelegateProvider";
    static readonly sceProvider = "$sceProvider";
    static readonly templateRequestProvider = "$templateRequestProvider";
    static readonly ervice = "$ervice";
    static readonly anchorScroll = "$anchorScroll";
    static readonly animate = "$animate";
    static readonly animateCss = "$animateCss";
    static readonly cacheFactory = "$cacheFactory";
    static readonly compile = "$compile";
    static readonly controller = "$controller";
    static readonly document = "$document";
    static readonly exceptionHandler = "$exceptionHandler";
    static readonly filter = "$filter";
    static readonly http = "$http";
    static readonly httpBackend = "$httpBackend";
    static readonly httpParamSerializer = "$httpParamSerializer";
    static readonly httpParamSerializerJQLike = "$httpParamSerializerJQLike";
    static readonly interpolate = "$interpolate";
    static readonly interval = "$interval";
    static readonly jsonpCallbacks = "$jsonpCallbacks";
    static readonly locale = "$locale";
    static readonly location = "$location";
    static readonly log = "$log";
    static readonly modelOptions = "$modelOptions";
    static readonly parse = "$parse";
    static readonly q = "$q";
    static readonly element = "$element";
    static readonly attributes = "$attributes";
    static readonly rootElement = "$rootElement";
    static readonly rootScope = "$rootScope";
    static readonly scope = "$scope";
    static readonly sce = "$sce";
    static readonly sceDelegate = "$sceDelegate";
    static readonly templateCache = "$templateCache";
    static readonly templateRequest = "$templateRequest";
    static readonly timeout = "$timeout";
    static readonly window = "$window";
    static readonly xhrFactory = "$xhrFactory";
    static readonly injector = "$injector";
    static readonly provide = "$provide";
    static readonly rootRouter = "$rootRouter";
    static readonly routerRootComponent = "$routerRootComponent";
    static readonly routeProvider = "$routeProvider";
    static readonly route = "$route";
    static readonly routeParams = "$routeParams";
    static readonly sanitize = "$sanitize";
    static readonly sanitizeProvider = "$sanitizeProvider";
    static readonly touchProvider = "$touchProvider";
    static readonly state = "$state";
    static readonly stateProvider = "$stateProvider";
    static readonly stateParams = "$stateParams";
    static readonly urlRouterProvider = "$urlRouterProvider";
    static readonly transitions = "$transitions";
}
