/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { ISCEService } from "angular";
export declare class UrlService extends ServiceBase {
    private sce;
    constructor(sce: ISCEService);
    getParsedUrl(url: string): string;
    static factory(sce: ISCEService): UrlService;
}
