"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectSession = void 0;
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
class ObjectSession {
    static save(name, data) {
        paradigm_ui_web_shared_1.LocalStorage.set(name, JSON.stringify(data));
    }
    static restore(name) {
        const content = paradigm_ui_web_shared_1.LocalStorage.get(String, name);
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(content))
            return null;
        return JSON.parse(content.valueOf());
    }
    static clear(name) {
        paradigm_ui_web_shared_1.LocalStorage.remove(name);
    }
}
exports.ObjectSession = ObjectSession;
//# sourceMappingURL=object.session.js.map