"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AngularControllerBase = void 0;
class AngularControllerBase {
    constructor(scope) {
        this.scope = scope;
    }
    $onInit() {
        this.onInit();
    }
    $doCheck() {
        this.doCheck();
    }
    $onChanges(onChangesObj) {
        this.onChanges(onChangesObj);
    }
    $onDestroy() {
        this.onDestroy();
    }
    $postLink() {
        this.postLink();
    }
    onInit() {
        // override this method.
    }
    doCheck() {
        // override this method.
    }
    onChanges(onChangesObj) {
        // override this method.
    }
    onDestroy() {
        // override this method.
    }
    postLink() {
        // override this method.
    }
}
exports.AngularControllerBase = AngularControllerBase;
//# sourceMappingURL=angular-base.controller.js.map