"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var ConvertToNumberDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConvertToNumberDirective = void 0;
const tslib_1 = require("tslib");
const directive_1 = require("../decorators/directive");
const base_directive_1 = require("./base.directive");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
const $ = require("jquery");
let ConvertToNumberDirective = ConvertToNumberDirective_1 = class ConvertToNumberDirective extends base_directive_1.DirectiveBase {
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        controller.$parsers.push((val) => paradigm_ui_web_shared_1.ObjectExtensions.isNull(val) ? parseInt(val, 10) : null);
        controller.$formatters.push((val) => val != null ? `${val}` : null);
        var element = $(instanceElement);
    }
    static factory() {
        return new ConvertToNumberDirective_1();
    }
};
ConvertToNumberDirective = ConvertToNumberDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "convertToNumber",
        require: "ngModel"
    })
], ConvertToNumberDirective);
exports.ConvertToNumberDirective = ConvertToNumberDirective;
//# sourceMappingURL=convert-to-number.directive.js.map