"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var TrimFilter_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.TrimFilter = void 0;
const tslib_1 = require("tslib");
const filter_1 = require("../decorators/filter");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
let TrimFilter = TrimFilter_1 = class TrimFilter {
    static trim(value, maxChars) {
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(value))
            return null;
        if (value.length < maxChars)
            return value;
        return value.substr(0, maxChars) + "...";
    }
    static factory() {
        return TrimFilter_1.trim;
    }
};
TrimFilter = TrimFilter_1 = (0, tslib_1.__decorate)([
    (0, filter_1.Filter)({ name: "pd-trim" })
], TrimFilter);
exports.TrimFilter = TrimFilter;
//# sourceMappingURL=trim.filter.js.map