"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UppercaseFilter = void 0;
const tslib_1 = require("tslib");
const filter_1 = require("../decorators/filter");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
let UppercaseFilter = class UppercaseFilter {
    static factory() {
        return value => paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) ? null : value.toUpperCase();
    }
};
UppercaseFilter = (0, tslib_1.__decorate)([
    (0, filter_1.Filter)({ name: "pd-uppercase" })
], UppercaseFilter);
exports.UppercaseFilter = UppercaseFilter;
//# sourceMappingURL=uppercase.filter.js.map